# ``twisted`.`web`.`template`.`TagLoader``

class documentation

`class TagLoader: (source)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads an existing flattenable object.

Method | `__init__` |
Method | `load` | Load a template suitable for rendering.
Instance Variable | `tag` | The object which will be loaded.

def __init__(self, tag): (source)

Parameters
tag:`Flattenable` | The object which will be loaded.

def load(self): (source)
from `twisted.web.iweb.ITemplateLoader`
Load a template suitable for rendering.

Returns
`List[Flattenable]` | a `list` of flattenable objects, such as byte and unicode strings, `twisted.web.template.Element`s and `IRenderable` providers.

tag: `Flattenable` = (source)
The object which will be loaded.